Hypori Client (Android) v4.1

Certificate details

Status archived
Valid from 24.08.2018
Valid until 24.08.2020
Scheme πŸ‡ΊπŸ‡Έ US
Manufacturer Intelligent Waves, LLC
Category Other Devices and Systems
Security level N/A
Protection profiles

Certificate

Extracted keywords

Certificates
CCEVS-VR-VID10874-2018
Evaluation facilities
Leidos

Certification report

Extracted keywords

Protocols
TLS, TLS 1.2

Vendor
Samsung

Security Functional Requirements (SFR)
FCS_CKM, FCS_STO_EXT.1.1, FCS_TLSC_EXT.1.1, FCS_TLSS_EXT.1.1, FCS_RBG_EXT.1.1, FCS_STO_EXT.1, FCS_TLSC_EXT, FCS_TLSC_EXT.1.2, FCS_TLSS_EXT.1, FCS_CKM.1, FCS_CKM.2, FCS_TLSS_EXT.1.3, FDP_DAR_EXT.1, FMT_SMF.1.1, FMT_MEC_EXT.1, FMT_CFG_EXT.1.2, FMT_MEC_EXT.1.1, FPT_AEX_EXT.1.3, FTP_AEX_EXT.1.4
Certificates
CCEVS-VR-10874-2018
Evaluation facilities
Leidos

Standards
RFC5759, RFC5280, X.509

Frontpage

Certificate ID CCEVS-VR-10874-2018 Dated: August 24, 2018 Version: 1.0
Certified item ## for ### Intelligent Waves Virtual Mobile Infrastructure Platform 4.1 Hypori Client for Android
Certification lab US NIAP

Security target

Extracted keywords

Protocols
SSL, TLS, TLS 1.2, DTLS
Randomness
DRBG
Elliptic Curves
secp256r1, secp384r1, secp521r1
Block cipher modes
GCM
TLS cipher suites
TLS_DHE_RSA_WITH_AES_128_CBC_SHA256, TLS_DHE_RSA_WITH_AES_256_CBC_SHA256, TLS_DHE_RSA_WITH_AES_256_GCM_SHA384, TLS_ECDHE_RSA_WITH_AES_128_CBC_SHA256, TLS_ECDHE_RSA_WITH_AES_128_GCM_SHA256, TLS_ECDHE_RSA_WITH_AES_256_CBC_SHA384, TLS_ECDHE_RSA_WITH_AES_256_GCM_SHA384, TLS_ECDHE_ECDSA_WITH_AES_128_CBC_SHA256, TLS_ECDHE_ECDSA_WITH_AES_256_CBC_SHA384, TLS_ECDHE_ECDSA_WITH_AES_128_GCM_SHA256, TLS_ECDHE_ECDSA_WITH_AES_256_GCM_SHA384

JavaCard packages
java.beans, java.io, java.lang, java.lang.annotation, java.lang.ref, java.lang.reflect, java.math, java.net, java.nio, java.security, java.security.cert, java.security.interfaces, java.security.spec, java.text, java.util, java.util.concurrent, java.util.concurrent.atomic, java.util.concurrent.locks, java.util.regex, org.xmlpull.v1, org.json, org.dcjson, org.spongycastle.asn1, org.spongycastle.cert.jcajce, org.spongycastle.cms, org.spongycastle.cms.jcajce, org.spongycastle.operator, org.spongycastle.operator.jcajce, org.spongycastle.util, com.google.android.gms.common, com.google.android.gms.gcm, com.google.android.gms.iid, com.google.protobuf, com.google.zxing, com.google.zxing.client.android, com.google.zxing.client.android.camera, com.google.zxing.client.android.camera.open, com.google.zxing.client.android.result, com.google.zxing.client.android.wifi, com.google.zxing.client.result, com.google.zxing.common

Claims
OE.PLATFORM, OE.PROPER_USER, OE.PROPER_ADMIN
Security Assurance Requirements (SAR)
ADV_FSP.1, AGD_OPE, AGD_PRE, ALC_CMC.1, ALC_CMS.1, ALC_TSU_EXT.1, ATE_IND.1, AVA_VAN.1, ASE_CCL.1, ASE_ECD.1, ASE_INT.1, ASE_OBJ.1, ASE_REQ.1, ASE_TSS.1
Security Functional Requirements (SFR)
FCS_CKM, FCS_STO_EXT.1.1, FCS_TLSC_EXT.1.1, FCS_TLSS_EXT.1.1, FCS_RBG_EXT.1.1, FCS_STO_EXT.1, FCS_TLSC_EXT, FCS_TLSC_EXT.1.2, FCS_CKM_EXT.1, FCS_RBG_EXT.1, FCS_TLSC_EXT.1, FCS_TLSC_EXT.2, FCS_TLSC_EXT.4, FCS_CKM_EXT.1.1, FCS_TLSC_EXT.1.3, FCS_TLSC_EXT.2.1, FCS_TLSC_EXT.4.1, FCS_RBG_EXT.2, FCS_COP.1, FCS_CKM.1, FCS_CKM.2, FCS_DTLS_EXT.1, FDP_DAR_EXT.1, FDP_ACC.1, FDP_NET_EXT.1, FDP_DEC_EXT.1, FDP_DAR_EXT.1.1, FDP_DEC_EXT.1.1, FDP_DEC_EXT.1.2, FDP_NET_EXT.1.1, FMT_SMF.1.1, FMT_MEC_EXT.1, FMT_CFG_EXT.1.2, FMT_CFG_EXT.1, FMT_SMF.1, FMT_CFG_EXT.1.1, FMT_MEC_EXT.1.1, FPR_ANO_EXT.1, FPR_ANO_EXT.1.1, FPT_AEX_EXT.1.3, FPT_AEX_EXT.1, FPT_API_EXT.1, FPT_LIB_EXT.1, FPT_TUD_EXT.1, FPT_API_EXT.1.1, FPT_AEX_EXT.1.1, FPT_AEX_EXT.1.2, FPT_AEX_EXT.1.4, FPT_AEX_EXT.1.5, FPT_TUD_EXT.1.1, FPT_TUD_EXT.1.2, FPT_TUD_EXT.1.3, FPT_TUD_EXT.1.4, FPT_TUD_EXT.1.5, FPT_TUD_EXT.1.6, FPT_LIB_EXT.1.1, FPT_API_EXT.1.2, FPT_TUD_EXT, FPT_IDV_EXT.1, FTP_AEX_EXT.1.4, FTP_DIT_EXT.1, FTP_DIT_EXT.1.1

Automated analysis

Automated inference - use with caution

All attributes shown in this section (e.g., links between certificates, products, vendors, and known CVEs) are generated by automated heuristics and have not been reviewed by humans. These methods can produce false positives or false negatives and should not be treated as definitive without independent verification. This applies equally to the Cross-references section below. If you want to know more about how this data is computed and how reliable it is, see our documentation on automated analysis. If you believe any information here is inaccurate or harmful, please submit feedback.

Certificate ID

CCEVS-VR-10874-2018

Extracted SARs

ADV_FSP.1, ALC_CMC.1, ALC_CMS.1, ALC_TSU_EXT.1, ASE_CCL.1, ASE_ECD.1, ASE_INT.1, ASE_OBJ.1, ASE_REQ.1, ASE_TSS.1, ATE_IND.1, AVA_VAN.1

Scheme data

Product Hypori Client (Android) v4.1
Id CCEVS-VR-VID10874
URL https://www.niap-ccevs.org/products/10874
Api Url https://www.niap-ccevs.org/api/project/product/pcl_products/10874/
Certification Date 24.08.2018
Expiration Date 24.08.2020
Category Application Software
Categories
  • Application Software
Vendor Intelligent Waves, LLC
Evaluation Facility Leidos Common Criteria Testing Laboratory
Scheme US

Cross-references

No references are available for this certificate.

Processing updates

Feed
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate was first processed.

Raw data

{
  "_type": "sec_certs.sample.cc.CCCertificate",
  "category": "Other Devices and Systems",
  "cert_link": "https://www.commoncriteriaportal.org/nfs/ccpfiles/files/epfiles/st_vid10874-ci.pdf",
  "dgst": "87480676e11e3b46",
  "heuristics": {
    "_type": "sec_certs.sample.cc_eucc_common.Heuristics",
    "annotated_references": null,
    "cert_id": "CCEVS-VR-10874-2018",
    "cert_lab": [
      "US"
    ],
    "cpe_matches": null,
    "direct_transitive_cves": null,
    "eal": "EAL1",
    "extracted_sars": {
      "_type": "Set",
      "elements": [
        {
          "_type": "sec_certs.sample.sar.SAR",
          "family": "ALC_CMC",
          "level": 1
        },
        {
          "_type": "sec_certs.sample.sar.SAR",
          "family": "ASE_OBJ",
          "level": 1
        },
        {
          "_type": "sec_certs.sample.sar.SAR",
          "family": "ATE_IND",
          "level": 1
        },
        {
          "_type": "sec_certs.sample.sar.SAR",
          "family": "ASE_INT",
          "level": 1
        },
        {
          "_type": "sec_certs.sample.sar.SAR",
          "family": "ASE_TSS",
          "level": 1
        },
        {
          "_type": "sec_certs.sample.sar.SAR",
          "family": "ALC_CMS",
          "level": 1
        },
        {
          "_type": "sec_certs.sample.sar.SAR",
          "family": "AVA_VAN",
          "level": 1
        },
        {
          "_type": "sec_certs.sample.sar.SAR",
          "family": "ASE_REQ",
          "level": 1
        },
        {
          "_type": "sec_certs.sample.sar.SAR",
          "family": "ASE_CCL",
          "level": 1
        },
        {
          "_type": "sec_certs.sample.sar.SAR",
          "family": "ADV_FSP",
          "level": 1
        },
        {
          "_type": "sec_certs.sample.sar.SAR",
          "family": "ALC_TSU_EXT",
          "level": 1
        },
        {
          "_type": "sec_certs.sample.sar.SAR",
          "family": "ASE_ECD",
          "level": 1
        }
      ]
    },
    "extracted_versions": {
      "_type": "Set",
      "elements": [
        "4.1"
      ]
    },
    "indirect_transitive_cves": null,
    "next_certificates": null,
    "prev_certificates": null,
    "protection_profiles": {
      "_type": "Set",
      "elements": [
        "1aeebf1c5963b606"
      ]
    },
    "related_cves": null,
    "report_references": {
      "_type": "sec_certs.sample.certificate.References",
      "directly_referenced_by": null,
      "directly_referencing": null,
      "indirectly_referenced_by": null,
      "indirectly_referencing": null
    },
    "scheme_data": {
      "api_url": "https://www.niap-ccevs.org/api/project/product/pcl_products/10874/",
      "categories": [
        "Application Software"
      ],
      "category": "Application Software",
      "certification_date": "2018-08-24",
      "evaluation_facility": "Leidos Common Criteria Testing Laboratory",
      "expiration_date": "2020-08-24",
      "id": "CCEVS-VR-VID10874",
      "product": "Hypori Client (Android) v4.1",
      "scheme": "US",
      "url": "https://www.niap-ccevs.org/products/10874",
      "vendor": "Intelligent Waves, LLC"
    },
    "st_references": {
      "_type": "sec_certs.sample.certificate.References",
      "directly_referenced_by": null,
      "directly_referencing": null,
      "indirectly_referenced_by": null,
      "indirectly_referencing": null
    },
    "verified_cpe_matches": null
  },
  "maintenance_updates": {
    "_type": "Set",
    "elements": []
  },
  "manufacturer": "Intelligent Waves, LLC",
  "manufacturer_web": "https://www.intelligentwaves.com",
  "name": "Hypori Client (Android) v4.1",
  "not_valid_after": "2020-08-24",
  "not_valid_before": "2018-08-24",
  "pdf_data": {
    "_type": "sec_certs.sample.cc_eucc_common.PdfData",
    "cert_filename": "st_vid10874-ci.pdf",
    "cert_frontpage": null,
    "cert_keywords": {
      "asymmetric_crypto": {},
      "cc_cert_id": {
        "US": {
          "CCEVS-VR-VID10874-2018": 1
        }
      },
      "cc_claims": {},
      "cc_protection_profile_id": {},
      "cc_sar": {},
      "cc_security_level": {},
      "cc_sfr": {},
      "certification_process": {},
      "cipher_mode": {},
      "cplc_data": {},
      "crypto_engine": {},
      "crypto_library": {},
      "crypto_protocol": {},
      "crypto_scheme": {},
      "device_model": {},
      "ecc_curve": {},
      "eval_facility": {
        "Leidos": {
          "Leidos": 1
        }
      },
      "hash_function": {},
      "ic_data_group": {},
      "javacard_api_const": {},
      "javacard_packages": {},
      "javacard_version": {},
      "os_name": {},
      "pq_crypto": {},
      "randomness": {},
      "side_channel_analysis": {},
      "standard_id": {},
      "symmetric_crypto": {},
      "technical_report_id": {},
      "tee_name": {},
      "tls_cipher_suite": {},
      "vendor": {},
      "vulnerability": {}
    },
    "cert_metadata": {
      "/CreationDate": "D:20180829135944-04\u002700\u0027",
      "/ModDate": "D:20180829135944-04\u002700\u0027",
      "/Producer": "iText 2.1.0 (by lowagie.com)",
      "pdf_file_size_bytes": 181999,
      "pdf_hyperlinks": {
        "_type": "Set",
        "elements": []
      },
      "pdf_is_encrypted": false,
      "pdf_number_of_pages": 1
    },
    "report_filename": "st_vid10874-vr.pdf",
    "report_frontpage": {
      "US": {
        "cert_id": "CCEVS-VR-10874-2018 Dated: August 24, 2018 Version: 1.0",
        "cert_item": "## for ### Intelligent Waves Virtual Mobile Infrastructure Platform 4.1 Hypori Client for Android",
        "cert_lab": "US NIAP"
      }
    },
    "report_keywords": {
      "asymmetric_crypto": {},
      "cc_cert_id": {
        "US": {
          "CCEVS-VR-10874-2018": 1
        }
      },
      "cc_claims": {},
      "cc_protection_profile_id": {},
      "cc_sar": {},
      "cc_security_level": {},
      "cc_sfr": {
        "FCS": {
          "FCS_CKM": 1,
          "FCS_CKM.1": 1,
          "FCS_CKM.2": 1,
          "FCS_RBG_EXT.1.1": 1,
          "FCS_STO_EXT.1": 1,
          "FCS_STO_EXT.1.1": 1,
          "FCS_TLSC_EXT": 1,
          "FCS_TLSC_EXT.1.1": 1,
          "FCS_TLSC_EXT.1.2": 1,
          "FCS_TLSS_EXT.1": 1,
          "FCS_TLSS_EXT.1.1": 3,
          "FCS_TLSS_EXT.1.3": 1
        },
        "FDP": {
          "FDP_DAR_EXT.1": 1
        },
        "FMT": {
          "FMT_CFG_EXT.1.2": 1,
          "FMT_MEC_EXT.1": 1,
          "FMT_MEC_EXT.1.1": 1,
          "FMT_SMF.1.1": 1
        },
        "FPT": {
          "FPT_AEX_EXT.1.3": 1
        },
        "FTP": {
          "FTP_AEX_EXT.1.4": 1
        }
      },
      "certification_process": {},
      "cipher_mode": {},
      "cplc_data": {},
      "crypto_engine": {},
      "crypto_library": {},
      "crypto_protocol": {
        "TLS": {
          "TLS": {
            "TLS": 13,
            "TLS 1.2": 1
          }
        }
      },
      "crypto_scheme": {},
      "device_model": {},
      "ecc_curve": {},
      "eval_facility": {
        "Leidos": {
          "Leidos": 7
        }
      },
      "hash_function": {},
      "ic_data_group": {},
      "javacard_api_const": {},
      "javacard_packages": {},
      "javacard_version": {},
      "os_name": {},
      "pq_crypto": {},
      "randomness": {},
      "side_channel_analysis": {},
      "standard_id": {
        "RFC": {
          "RFC5280": 1,
          "RFC5759": 1
        },
        "X509": {
          "X.509": 1
        }
      },
      "symmetric_crypto": {},
      "technical_report_id": {},
      "tee_name": {},
      "tls_cipher_suite": {},
      "vendor": {
        "Samsung": {
          "Samsung": 1
        }
      },
      "vulnerability": {}
    },
    "report_metadata": {
      "/CreationDate": "D:20180829134927-04\u002700\u0027",
      "/ModDate": "D:20180829134927-04\u002700\u0027",
      "pdf_file_size_bytes": 625076,
      "pdf_hyperlinks": {
        "_type": "Set",
        "elements": [
          "https://github.com/commoncriteria/tls-cc-tools",
          "https://www.niap-ccevs.org/Documents_and_Guidance/view_td.cfm?td_id=226",
          "https://www.niap-ccevs.org/Documents_and_Guidance/view_td.cfm?td_id=178",
          "https://www.niap-ccevs.org/Documents_and_Guidance/view_td.cfm?td_id=289",
          "https://www.niap-ccevs.org/Documents_and_Guidance/view_td.cfm?td_id=196",
          "https://www.niap-ccevs.org/Documents_and_Guidance/view_td.cfm?td_id=182",
          "https://www.niap-ccevs.org/Documents_and_Guidance/view_td.cfm?td_id=176",
          "https://www.niap-ccevs.org/Documents_and_Guidance/view_td.cfm?td_id=110",
          "https://www.niap-ccevs.org/Documents_and_Guidance/view_td.cfm?td_id=310",
          "https://www.niap-ccevs.org/Documents_and_Guidance/view_td.cfm?td_id=134",
          "https://www.niap-ccevs.org/Documents_and_Guidance/view_td.cfm?td_id=306",
          "https://www.niap-ccevs.org/Documents_and_Guidance/view_td.cfm?td_id=311",
          "https://www.niap-ccevs.org/Documents_and_Guidance/view_td.cfm?td_id=273",
          "http://www.niap-ccevs.org/",
          "https://www.niap-ccevs.org/Documents_and_Guidance/view_td.cfm?td_id=167",
          "https://www.niap-ccevs.org/Documents_and_Guidance/view_td.cfm?td_id=124",
          "https://www.niap-ccevs.org/Documents_and_Guidance/view_td.cfm?td_id=122",
          "https://www.niap-ccevs.org/Documents_and_Guidance/view_td.cfm?td_id=274",
          "https://www.niap-ccevs.org/Documents_and_Guidance/view_td.cfm?td_id=333",
          "https://www.niap-ccevs.org/Documents_and_Guidance/view_td.cfm?td_id=181",
          "https://www.niap-ccevs.org/Documents_and_Guidance/view_td.cfm?td_id=247",
          "https://www.niap-ccevs.org/Documents_and_Guidance/view_td.cfm?td_id=220",
          "https://www.niap-ccevs.org/Documents_and_Guidance/view_td.cfm?td_id=302",
          "https://www.niap-ccevs.org/Documents_and_Guidance/view_td.cfm?td_id=222",
          "https://www.niap-ccevs.org/Documents_and_Guidance/view_td.cfm?td_id=244",
          "https://www.niap-ccevs.org/Documents_and_Guidance/view_td.cfm?td_id=332",
          "http://web.nvd.nist.gov/view/vuln/search",
          "https://www.niap-ccevs.org/Documents_and_Guidance/view_td.cfm?td_id=301",
          "https://www.niap-ccevs.org/Documents_and_Guidance/view_td.cfm?td_id=250"
        ]
      },
      "pdf_is_encrypted": false,
      "pdf_number_of_pages": 26
    },
    "st_filename": "st_vid10874-st.pdf",
    "st_frontpage": null,
    "st_keywords": {
      "asymmetric_crypto": {},
      "cc_cert_id": {},
      "cc_claims": {
        "OE": {
          "OE.PLATFORM": 1,
          "OE.PROPER_ADMIN": 1,
          "OE.PROPER_USER": 1
        }
      },
      "cc_protection_profile_id": {},
      "cc_sar": {
        "ADV": {
          "ADV_FSP.1": 1
        },
        "AGD": {
          "AGD_OPE": 1,
          "AGD_PRE": 1
        },
        "ALC": {
          "ALC_CMC.1": 1,
          "ALC_CMS.1": 1,
          "ALC_TSU_EXT.1": 1
        },
        "ASE": {
          "ASE_CCL.1": 1,
          "ASE_ECD.1": 1,
          "ASE_INT.1": 1,
          "ASE_OBJ.1": 1,
          "ASE_REQ.1": 1,
          "ASE_TSS.1": 1
        },
        "ATE": {
          "ATE_IND.1": 1
        },
        "AVA": {
          "AVA_VAN.1": 1
        }
      },
      "cc_security_level": {},
      "cc_sfr": {
        "FCS": {
          "FCS_CKM": 1,
          "FCS_CKM.1": 3,
          "FCS_CKM.2": 2,
          "FCS_CKM_EXT.1": 8,
          "FCS_CKM_EXT.1.1": 1,
          "FCS_COP.1": 9,
          "FCS_DTLS_EXT.1": 2,
          "FCS_RBG_EXT.1": 7,
          "FCS_RBG_EXT.1.1": 2,
          "FCS_RBG_EXT.2": 2,
          "FCS_STO_EXT.1": 11,
          "FCS_STO_EXT.1.1": 2,
          "FCS_TLSC_EXT": 1,
          "FCS_TLSC_EXT.1": 17,
          "FCS_TLSC_EXT.1.1": 2,
          "FCS_TLSC_EXT.1.2": 2,
          "FCS_TLSC_EXT.1.3": 1,
          "FCS_TLSC_EXT.2": 6,
          "FCS_TLSC_EXT.2.1": 3,
          "FCS_TLSC_EXT.4": 7,
          "FCS_TLSC_EXT.4.1": 3,
          "FCS_TLSS_EXT.1.1": 1
        },
        "FDP": {
          "FDP_ACC.1": 3,
          "FDP_DAR_EXT.1": 8,
          "FDP_DAR_EXT.1.1": 1,
          "FDP_DEC_EXT.1": 7,
          "FDP_DEC_EXT.1.1": 1,
          "FDP_DEC_EXT.1.2": 1,
          "FDP_NET_EXT.1": 7,
          "FDP_NET_EXT.1.1": 1
        },
        "FMT": {
          "FMT_CFG_EXT.1": 7,
          "FMT_CFG_EXT.1.1": 1,
          "FMT_CFG_EXT.1.2": 2,
          "FMT_MEC_EXT.1": 7,
          "FMT_MEC_EXT.1.1": 2,
          "FMT_SMF.1": 6,
          "FMT_SMF.1.1": 2
        },
        "FPR": {
          "FPR_ANO_EXT.1": 6,
          "FPR_ANO_EXT.1.1": 1
        },
        "FPT": {
          "FPT_AEX_EXT.1": 7,
          "FPT_AEX_EXT.1.1": 1,
          "FPT_AEX_EXT.1.2": 1,
          "FPT_AEX_EXT.1.3": 2,
          "FPT_AEX_EXT.1.4": 1,
          "FPT_AEX_EXT.1.5": 1,
          "FPT_API_EXT.1": 5,
          "FPT_API_EXT.1.1": 3,
          "FPT_API_EXT.1.2": 1,
          "FPT_IDV_EXT.1": 1,
          "FPT_LIB_EXT.1": 7,
          "FPT_LIB_EXT.1.1": 1,
          "FPT_TUD_EXT": 1,
          "FPT_TUD_EXT.1": 6,
          "FPT_TUD_EXT.1.1": 1,
          "FPT_TUD_EXT.1.2": 1,
          "FPT_TUD_EXT.1.3": 1,
          "FPT_TUD_EXT.1.4": 1,
          "FPT_TUD_EXT.1.5": 1,
          "FPT_TUD_EXT.1.6": 1
        },
        "FTP": {
          "FTP_AEX_EXT.1.4": 1,
          "FTP_DIT_EXT.1": 9,
          "FTP_DIT_EXT.1.1": 1
        }
      },
      "certification_process": {},
      "cipher_mode": {
        "GCM": {
          "GCM": 1
        }
      },
      "cplc_data": {},
      "crypto_engine": {},
      "crypto_library": {},
      "crypto_protocol": {
        "TLS": {
          "DTLS": {
            "DTLS": 1
          },
          "SSL": {
            "SSL": 1
          },
          "TLS": {
            "TLS": 51,
            "TLS 1.2": 5
          }
        }
      },
      "crypto_scheme": {},
      "device_model": {},
      "ecc_curve": {
        "NIST": {
          "secp256r1": 2,
          "secp384r1": 2,
          "secp521r1": 2
        }
      },
      "eval_facility": {},
      "hash_function": {},
      "ic_data_group": {},
      "javacard_api_const": {},
      "javacard_packages": {
        "com": {
          "com.google.android.gms.common": 2,
          "com.google.android.gms.gcm": 3,
          "com.google.android.gms.iid": 2,
          "com.google.protobuf": 5,
          "com.google.zxing": 10,
          "com.google.zxing.client.android": 4,
          "com.google.zxing.client.android.camera": 2,
          "com.google.zxing.client.android.camera.open": 1,
          "com.google.zxing.client.android.result": 2,
          "com.google.zxing.client.android.wifi": 1,
          "com.google.zxing.client.result": 14,
          "com.google.zxing.common": 1
        },
        "java": {
          "java.beans": 2,
          "java.io": 30,
          "java.lang": 1,
          "java.lang.annotation": 4,
          "java.lang.ref": 1,
          "java.lang.reflect": 5,
          "java.math": 1,
          "java.net": 9,
          "java.nio": 10,
          "java.security": 22,
          "java.security.cert": 7,
          "java.security.interfaces": 1,
          "java.security.spec": 2,
          "java.text": 3,
          "java.util": 33,
          "java.util.concurrent": 12,
          "java.util.concurrent.atomic": 1,
          "java.util.concurrent.locks": 3,
          "java.util.regex": 2
        },
        "org": {
          "org.dcjson": 4,
          "org.json": 1,
          "org.spongycastle.asn1": 1,
          "org.spongycastle.cert.jcajce": 1,
          "org.spongycastle.cms": 5,
          "org.spongycastle.cms.jcajce": 1,
          "org.spongycastle.operator": 2,
          "org.spongycastle.operator.jcajce": 2,
          "org.spongycastle.util": 1,
          "org.xmlpull.v1": 2
        }
      },
      "javacard_version": {},
      "os_name": {},
      "pq_crypto": {},
      "randomness": {
        "PRNG": {
          "DRBG": 3
        }
      },
      "side_channel_analysis": {},
      "standard_id": {
        "RFC": {
          "RFC 5246": 2,
          "RFC 5280": 3,
          "RFC 5288": 1,
          "RFC 5289": 7,
          "RFC 5759": 1,
          "RFC 6125": 1,
          "RFC5280": 1,
          "RFC5759": 1
        },
        "X509": {
          "X.509": 13
        }
      },
      "symmetric_crypto": {},
      "technical_report_id": {},
      "tee_name": {},
      "tls_cipher_suite": {
        "TLS": {
          "TLS_DHE_RSA_WITH_AES_128_CBC_SHA256": 2,
          "TLS_DHE_RSA_WITH_AES_256_CBC_SHA256": 2,
          "TLS_DHE_RSA_WITH_AES_256_GCM_SHA384": 2,
          "TLS_ECDHE_ECDSA_WITH_AES_128_CBC_SHA256": 2,
          "TLS_ECDHE_ECDSA_WITH_AES_128_GCM_SHA256": 2,
          "TLS_ECDHE_ECDSA_WITH_AES_256_CBC_SHA384": 2,
          "TLS_ECDHE_ECDSA_WITH_AES_256_GCM_SHA384": 2,
          "TLS_ECDHE_RSA_WITH_AES_128_CBC_SHA256": 2,
          "TLS_ECDHE_RSA_WITH_AES_128_GCM_SHA256": 2,
          "TLS_ECDHE_RSA_WITH_AES_256_CBC_SHA384": 2,
          "TLS_ECDHE_RSA_WITH_AES_256_GCM_SHA384": 2
        }
      },
      "vendor": {},
      "vulnerability": {}
    },
    "st_metadata": {
      "/CreationDate": "D:20180829135612-04\u002700\u0027",
      "/ModDate": "D:20180829135612-04\u002700\u0027",
      "pdf_file_size_bytes": 1498644,
      "pdf_hyperlinks": {
        "_type": "Set",
        "elements": [
          "https://developer.android.com/training/articles/keystore",
          "https://www.niap-ccevs.org/Documents_and_Guidance/view_td.cfm?td_id=226",
          "https://www.niap-ccevs.org/Documents_and_Guidance/view_td.cfm?td_id=178",
          "https://www.niap-ccevs.org/Documents_and_Guidance/view_td.cfm?td_id=289",
          "https://www.niap-ccevs.org/Documents_and_Guidance/view_td.cfm?td_id=196",
          "https://www.niap-ccevs.org/Documents_and_Guidance/view_td.cfm?td_id=182",
          "https://www.niap-ccevs.org/Documents_and_Guidance/view_td.cfm?td_id=176",
          "https://www.niap-ccevs.org/Documents_and_Guidance/view_td.cfm?td_id=110",
          "https://www.niap-ccevs.org/Documents_and_Guidance/view_td.cfm?td_id=310",
          "https://www.niap-ccevs.org/Documents_and_Guidance/view_td.cfm?td_id=306",
          "https://www.niap-ccevs.org/Documents_and_Guidance/view_td.cfm?td_id=311",
          "https://www.niap-ccevs.org/Documents_and_Guidance/view_td.cfm?td_id=167",
          "https://www.niap-ccevs.org/Documents_and_Guidance/view_td.cfm?td_id=122",
          "https://www.niap-ccevs.org/Documents_and_Guidance/view_td.cfm?td_id=274",
          "https://www.niap-ccevs.org/Documents_and_Guidance/view_td.cfm?td_id=333",
          "https://android.googlesource.com/platform/external/conscrypt/+/android-5.0.0_r7/src/platform/java/org/conscrypt/TrustManagerImpl.java",
          "https://www.niap-ccevs.org/Documents_and_Guidance/view_td.cfm?td_id=222",
          "https://www.niap-ccevs.org/Documents_and_Guidance/view_td.cfm?td_id=244",
          "https://www.niap-ccevs.org/Documents_and_Guidance/view_td.cfm?td_id=301",
          "https://www.niap-ccevs.org/Documents_and_Guidance/view_td.cfm?td_id=250"
        ]
      },
      "pdf_is_encrypted": false,
      "pdf_number_of_pages": 44
    }
  },
  "protection_profile_links": {
    "_type": "Set",
    "elements": [
      "https://www.commoncriteriaportal.org/nfs/ccpfiles/files/ppfiles/pp_app_v1.2.pdf"
    ]
  },
  "report_link": "https://www.commoncriteriaportal.org/nfs/ccpfiles/files/epfiles/st_vid10874-vr.pdf",
  "scheme": "US",
  "security_level": {
    "_type": "Set",
    "elements": []
  },
  "st_link": "https://www.commoncriteriaportal.org/nfs/ccpfiles/files/epfiles/st_vid10874-st.pdf",
  "state": {
    "_type": "sec_certs.sample.cc_eucc_common.InternalState",
    "cert": {
      "_type": "sec_certs.sample.document_state.DocumentState",
      "convert_ok": true,
      "download_ok": true,
      "extract_ok": true,
      "json_hash": "315c4844cab0edffc637319c77ec62c9a7e8b10c4062883aa0fdc520b9dc6e11",
      "source_hash": "05b57b267c98b4a69741d0ffe5aeaa65d88685891acf217c8c0489b5a87da1dd",
      "txt_hash": "3655c9926ea99834bd7f2d63f0a3ef8a336984f797624ecd970cb4399425afe6"
    },
    "report": {
      "_type": "sec_certs.sample.document_state.DocumentState",
      "convert_ok": true,
      "download_ok": true,
      "extract_ok": true,
      "json_hash": "54acdcf445a6f925745e0a83a9334caeed16f37f0eb7ebdb0f11ee6c20aa1d07",
      "source_hash": "fe2ff3095ebb5246d1ba12d0e318b3be373072ca46c340343ce7008ef217e111",
      "txt_hash": "7535c862b3ba68da71a3b60d313dad2fbf2b9ba20aa3610128aa738176f44f3e"
    },
    "st": {
      "_type": "sec_certs.sample.document_state.DocumentState",
      "convert_ok": true,
      "download_ok": true,
      "extract_ok": true,
      "json_hash": "86e7d87a5b7aea7e281647fb3bc4bfeab716a6783b3ae7aa1b60018b4f88d65f",
      "source_hash": "fc827ee159c904fd4a60ea3892a045aecfd55cf6c44ce6162c08ac5d1b0917b7",
      "txt_hash": "bb672270ccc5598d1c982a32d853349e2b3a9d06da15e35312501ac2aa93295e"
    }
  },
  "status": "archived"
}